Set the last preview of a task as the main preview of the related entity.
PUT
/actions/tasks/{task_id}/set-main-preview
curl
curl -X PUT "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/set-main-preview" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/set-main-preview"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request PUT 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/set-main-preview' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "SH010",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"preview_file_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"entity_type_id": "d24a6ea4-ce75-4665-a070-57453082c25",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}